Bug 257603 - security/suricata: Update to 6.0.3
Summary: security/suricata: Update to 6.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Craig Leres
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-04 01:53 UTC by Craig Leres
Modified: 2021-09-07 11:40 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (franco)


Attachments
patch (14.55 KB, patch)
2021-08-04 01:55 UTC, Craig Leres
no flags Details | Diff
revised patch (14.94 KB, patch)
2021-08-08 02:22 UTC, Craig Leres
franco: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2021-08-04 01:53:56 UTC
My guys seem to be using the PRELUDE option which is marked as broken in 6.0.2.
Comment 1 Craig Leres freebsd_committer 2021-08-04 01:55:03 UTC
Created attachment 226928 [details]
patch
Comment 2 Franco Fichtner 2021-08-04 06:26:07 UTC
To my knowledge PRELUDE is still not repaired in 6.0.3:

https://redmine.openinfosecfoundation.org/issues/4065

Why is patching rust files needed?


Cheers,
Franco
Comment 3 Craig Leres freebsd_committer 2021-08-04 16:27:14 UTC
(In reply to Franco Fichtner from comment #2)
> To my knowledge PRELUDE is still not repaired in 6.0.3:

Oops, I see now PRELUDE is not enabled by default. And indeed, the config.h problem in the redmine issue is still not fixed.

> Why is patching rust files needed?

I think that's just git-diff's way of saying "delete these files".

At this point I have less interest in updating to 6.0.3. Would you like me to regenerate the diff's with PRELUDE_BROKEN still in effect or abort this PR?
Comment 4 Franco Fichtner 2021-08-05 06:20:06 UTC
As for the rust files that is https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=256653 and rust 1.53.0 is still there.  Probably not a good idea to remove?

PRELUDE_BROKEN needs to stay for now so please remove from patch.

Can you remove files/patch-src_suricata-common.h as it should have been fixed via https://redmine.openinfosecfoundation.org/issues/4443

And pkg-list needs addition of

include/suricata-plugin.h


Thank you,
Franco
Comment 5 Craig Leres freebsd_committer 2021-08-08 02:22:32 UTC
Created attachment 227013 [details]
revised patch

(In reply to Franco Fichtner from comment #4)
Here's a revised patch. These files would be deleted:

    files/patch-rust_vendor_lexical-core_src_atof_algorithm_bhcomp.rs
    files/patch-rust_vendor_lexical-core_src_atof_algorithm_bigcomp.rs
    files/patch-rust_vendor_lexical-core_src_atof_algorithm_math.rs
    files/patch-src_suricata-common.h

It builds on my 12.2 poudriere server with default options and PRELUDE disabled.

Let me know if you'd like any more changes.
Comment 6 Franco Fichtner 2021-08-22 18:05:54 UTC
Sorry for the delay.  I don't think we should nuke the rust patches without consulting the rust committer first.  At least from my perspective they pose no harm.


Cheers,
Franco
Comment 7 Craig Leres freebsd_committer 2021-08-22 21:11:17 UTC
(In reply to Franco Fichtner from comment #6)
The three rust patches I removed fail to apply because 6.0.3 includes the changes they make.
Comment 8 Franco Fichtner 2021-08-31 09:16:19 UTC
Comment on attachment 227013 [details]
revised patch

Ok, thanks!
Comment 9 commit-hook freebsd_committer 2021-08-31 20:41:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bcdd89f6a96d2b1a9dd95ae542033acce9523c27

commit bcdd89f6a96d2b1a9dd95ae542033acce9523c27
Author:     Craig Leres <leres@FreeBSD.org>
AuthorDate: 2021-08-31 20:38:26 +0000
Commit:     Craig Leres <leres@FreeBSD.org>
CommitDate: 2021-08-31 20:38:26 +0000

    security/suricata: Update to 6.0.3

    PR:             257603
    Approved by:    Franco Fichtner (maintainer)

 security/suricata/Makefile                         |   3 +-
 security/suricata/distinfo                         |   6 +-
 ...exical-core_src_atof_algorithm_bhcomp.rs (gone) |  11 --
 ...xical-core_src_atof_algorithm_bigcomp.rs (gone) |  39 ----
 ..._lexical-core_src_atof_algorithm_math.rs (gone) | 211 ---------------------
 .../files/patch-src_suricata-common.h (gone)       |  11 --
 security/suricata/pkg-plist                        |   3 +-
 7 files changed, 6 insertions(+), 278 deletions(-)
Comment 10 Craig Leres freebsd_committer 2021-08-31 20:43:07 UTC
Thanks for the approval; committed.
Comment 11 mike 2021-09-02 00:47:57 UTC
FYI, I think 6.04 is coming out soon as there is a pretty important show stopper bug thats fixes in 
https://redmine.openinfosecfoundation.org/issues/4478
without this fix, suricata stops processing traffic soon after starting
Comment 12 Franco Fichtner 2021-09-07 11:40:22 UTC
I don't know about 6.0.4 yet so just in case I created https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=258335